// ----------------------------------------------------------------------------------------
//
// javaFish50.CPP                                                    Ulrich Mller 26.11.09
//                                                                   PCS1700        VC++6.0
// Java JNI-Wrapper.DLL fr umFish50.DLL
//
// ----------------------------------------------------------------------------------------

#include <windows.h>
#include "jni.h"
#include "umFish50VC.H"
#include "ftcomputing_roboTX_JavaFish.h"

JNIEXPORT jint JNICALL Java_ftcomputing_roboTX_JavaFish_jxOpenController
(JNIEnv *env, jobject obj, jint ComNr) {
	return txOpenController(ComNr);
}

JNIEXPORT jint JNICALL Java_ftcomputing_roboTX_JavaFish_jxCloseController
(JNIEnv *env, jobject obj) {
	return txCloseController();
}

JNIEXPORT jint JNICALL Java_ftcomputing_roboTX_JavaFish_jxGetAnalog
(JNIEnv *env, jobject obj, jint ctrId, jint inpNr){
	return txGetAnalog(ctrId, inpNr);
}

JNIEXPORT jint JNICALL Java_ftcomputing_roboTX_JavaFish_jxGetDistance
(JNIEnv *env, jobject obj, jint ctrId, jint inpNr) {
	return txGetDistance(ctrId, inpNr);
}

JNIEXPORT jint JNICALL Java_ftcomputing_roboTX_JavaFish_jxGetInput
(JNIEnv *env, jobject obj, jint ctrId, jint inpNr) {
	return txGetInput(ctrId, inpNr);
}

JNIEXPORT jint JNICALL Java_ftcomputing_roboTX_JavaFish_jxGetTrack
(JNIEnv *env, jobject obj, jint ctrId, jint inpNr) {
	return txGetTrack(ctrId, inpNr);
}

JNIEXPORT jint JNICALL Java_ftcomputing_roboTX_JavaFish_jxGetVoltage
(JNIEnv *env, jobject obj, jint ctrId, jint inpNr) {
	return txGetVoltage(ctrId, inpNr);
}

JNIEXPORT jint JNICALL Java_ftcomputing_roboTX_JavaFish_jxGetCounter
(JNIEnv *env, jobject obj, jint ctrId, jint cntNr) {
	return txGetCounter(ctrId, cntNr);
}

JNIEXPORT jint JNICALL Java_ftcomputing_roboTX_JavaFish_jxClearCounter
(JNIEnv *env, jobject obj, jint ctrId, jint cntNr) {
	return txClearCounter(ctrId, cntNr);
}

JNIEXPORT jint JNICALL Java_ftcomputing_roboTX_JavaFish_jxSetLamp
(JNIEnv *env, jobject obj, jint ctrId, jint outNr, jint OnOff) {
	return txSetLamp(ctrId, outNr, OnOff);
}

JNIEXPORT jint JNICALL Java_ftcomputing_roboTX_JavaFish_jxSetMotor
(JNIEnv *env, jobject obj, jint ctrId, jint motNr, jint dir, jint speed) {
	return txSetMotor(ctrId, motNr, dir, speed);
}

JNIEXPORT jint JNICALL Java_ftcomputing_roboTX_JavaFish_jxStartMotor
(JNIEnv *env, jobject obj, jint ctrId, jint motNr, jint dir, jint speed, jint iCount, jint robMode) {
	return txStartMotor(ctrId, motNr, dir, speed, iCount, robMode);
}

JNIEXPORT jint JNICALL Java_ftcomputing_roboTX_JavaFish_jxIsMotorReady
(JNIEnv *env, jobject obj, jint ctrId, jint motNr) {
	return txIsMotorReady(ctrId, motNr);
}

JNIEXPORT jint JNICALL Java_ftcomputing_roboTX_JavaFish_escape
	(JNIEnv *, jclass jc) {
	return GetAsyncKeyState(VK_ESCAPE);
}

JNIEXPORT jint JNICALL Java_ftcomputing_roboTX_JavaFish_getTickCount
	(JNIEnv *, jclass jc) {
	return GetTickCount();
}

JNIEXPORT void JNICALL Java_ftcomputing_roboTX_JavaFish_sleep
	(JNIEnv *, jclass jc, jint mSek) {
	Sleep(mSek);
}
