// -----------------------------------------------------------------------------------------
//
// umFish50VC.H                                                       Ulrich Mller 15.11.09
//                                                                    PCS1700       VC++ 6.0
// umFish50.DLL : Die Deklarationen
//
// -----------------------------------------------------------------------------------------


#include <Windows.h>

#define ctxError 0xE0000001

#define ctxOff   0
#define ctxOn    1
#define ctxLeft  1
#define ctxRight 2

#define ctxFull 512
#define ctxHalf 444

#define ctxMain 0
#define ctxExt1 1

#define ctxI1  0
#define ctxI2  1
#define ctxI3  2
#define ctxI4  3
#define ctxI5  4
#define ctxI6  5
#define ctxI7  6
#define ctxI8  7
#define ctxI9  8
#define ctxI10 9
#define ctxI11 10
#define ctxI12 11

#define ctxI1 0
#define ctxI2 1
#define ctxI3 2
#define ctxI4 3

#define ctxM1 0
#define ctxM2 1
#define ctxM3 2
#define ctxM4 3

#define ctxO1 0
#define ctxO2 1
#define ctxO3 2
#define ctxO4 3
#define ctxO5 4
#define ctxO6 5
#define ctxO7 6
#define ctxO8 7



int  __stdcall txOpenController(int ComNr);
int  __stdcall txCloseController();

int  __stdcall txGetAnalog(int ctrId, int inpNr);
int  __stdcall txGetDistance(int ctrId, int inpNr);
int  __stdcall txGetInput(int ctrId, int inpNr);
int  __stdcall txGetTrack(int ctrId, int inpNr);
int  __stdcall txGetVoltage(int ctrId, int inpNr);

int  __stdcall txGetCounter(int ctrId, int cntNr);
int  __stdcall txClearCounter(int ctrId, int cntNr);

int  __stdcall txSetLamp(int ctrId, int outNr, int OnOff);
int  __stdcall txSetMotor(int ctrId, int outNr, int dir, int speed);
int  __stdcall txStartMotor(int ctrId, int outNr, int dir, int speed, int iCount, int robMode);

int  __stdcall txIsMotorReady(int ctrId, int outNr);
