package gFaceTX;

// --------------------------------------------------------------------------------
//
// gFaceTX.java                                           Ulrich Mller    27.11.09
//	                                                      Aspire Eclipse 3.4 Java 6
// Testprogramm fr das Package ftcomputing.roboTX.*,  Swing Anwendung
// ROBO TX Controller mit Lampe an O5, O6, O7
//     Taster an I3
//
// -------------------------------------------------------------------------------

import java.awt.*;
import javax.swing.*;
import ftcomputing.roboTX.*;
public class gFaceTX {

  JFrame frmMain    = new JFrame("Hello FishFace");
  JLabel lblStatus  = new JLabel("Kontrolle Interface", JLabel.CENTER);
  JLabel lblUltra   = new JLabel(" ", JLabel.CENTER);
  JLabel lblWider   = new JLabel(" ", JLabel.CENTER);
  JLabel lblHinweis = new JLabel(" ", JLabel.CENTER);
  FishFaceTX tx = new FishFaceTX();

  public gFaceTX() {
	frmMain.setLayout(new GridLayout(0, 1, 12, 24));
	frmMain.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	frmMain.setSize(300, 200);
	lblStatus.setForeground(Color.BLUE);
	frmMain.add(lblStatus);
	frmMain.add(lblUltra);
	frmMain.add(lblWider);
	frmMain.add(lblHinweis);
	frmMain.setVisible(true);
  }

  public static void main(String[] args) {
	gFaceTX gf = new gFaceTX();
		gf.Action();
	}

  private void Action() {
	try {
	  tx.openController("COM4");
	  lblHinweis.setText("Ende : ESC-Taste oder Taster I3");
	  int Runde = 0;
	  do {
		lblStatus.setText("Runde : " + (++Runde));
		lblWider.setText("Photowiderstand I6 : " + tx.getAnalog(Unv.I6));
		lblUltra.setText("FarbSensor I4      : " + tx.getVoltage(Unv.I4));
		Blinken(333);
	  } while (!tx.finish(Unv.I3));
	} 
	catch (FishFaceException eft) { lblStatus.setText(eft.toString());
	} 
	finally {
	  tx.closeController();
	  lblHinweis.setText("Finito : X-Drcken");
	}
  }

  private void Blinken(int Dauer) {
	tx.setLamp(Out.O5, 512);
	tx.pause(Dauer);
	tx.setLamp(Out.O6, 512);
	tx.pause(Dauer);
	tx.setLamp(Out.O7, 512);
	tx.pause(Dauer);
	tx.setLamp(Out.O5, 0);
	tx.setLamp(Out.O6, 0);
	tx.setLamp(Out.O7, 0);
	tx.pause(Dauer);
  }		
}
