package eduLine;

public class eduJava {
	public native int jeOpenUSB(int ifTyp, int SerialNr);
	public native int jeCloseUSB(int iHandle);
	public native int jeGetInput(int iHandle, int InputNr);
	public native int jeGetInputs(int iHandle);
	public native int jeGetVoltage(int iHandle, int VoltNr);
	public native int jeGetOutputs(int iHandle);
	public native int jeSetOutputs(int iHandle, int MotorStatus);
	public native int jeSetOutput(int iHandle, int LampNr, int OnOff);
	public native int jeGetActDeviceType(int iHandle);
	public native int jeGetActDeviceSerialNr(int iHandle);
	public native int jeGetActDeviceFirmwareNr(int iHandle);

	public static final int jeError = 0xE0000001;
	public static native int escape();
	public static native int getTickCount();
	public static native void Sleep(int MilliSek);

	  static {
	  try {
	      System.loadLibrary("eduJava");
	    }
	    catch (UnsatisfiedLinkError ex) {
	      System.out.println("eduJava.DLL konnte nicht geladen werden");
	    }
	  }
}
